Summary: iSCSI kernel module and utilities
Name: iscsitarget
%define module_name %name
Version: 0.4.15
Release: alt0.1
License: GPL
Group: System/Configuration/Networking
Source: %name-%version.tar.bz2
Patch: %name-0.4.15-alt.patch
URL: http://%name.sourceforge.net/

BuildRequires: kernel-build-tools

# Automatically added by buildreq on Fri Jun 08 2007
BuildRequires: libssl-devel

%description
The %name package provides server kernel modules for the iSCSI
protocol, as well as utilities to configure the kernel modules. iSCSI
is a protocol that conveys SCSI protocol related command and data over
networks, especially over IP.


%package utils
Group: System/Configuration/Networking
Summary: iSCSI utilities

%description utils
iSCSI is a protocol that conveys SCSI protocol related command and data
over networks, especially over IP.
This package provides utils to create an iSCSI storage.


%package -n kernel-source-%module_name
Summary: Linux %module_name modules sources
Group: Development/Kernel

%description -n kernel-source-%module_name
This package contains sources for %module_name kernel module.


%prep
%setup
%patch -p1


%build
%make_build usr


%install
%make_install DISTDIR=%buildroot install-usr install-man install-initd

install -d -m 0755 kernel-source-%module_name-%version/{include,kernel}
install -m 0644 include/* kernel-source-%module_name-%version/include/
install -m 0644 kernel/* kernel-source-%module_name-%version/kernel/
install -d -m 0755 %buildroot%_usrsrc/kernel/sources
tar -c kernel-source-%module_name-%version | bzip2 --best --stdout > \
    %buildroot%_usrsrc/kernel/sources/kernel-source-%module_name-%version.tar.bz2

bzip2 --best --keep --force ChangeLog


%post utils
%post_service iscsi-target

%preun utils
%preun_service iscsi-target


%files utils
%doc ChangeLog.* README* etc/initiators.* etc/ietd.conf
%_initdir/*
%_sbindir/*
%_man5dir/*
%_man8dir/*


%files -n kernel-source-%module_name
%_usrsrc/*


%changelog
* Mon Jun 11 2007 Led <led@altlinux.ru> 0.4.15-alt0.1
- 0.4.15
- remade spec
- removed ietd-0.4.14-makefile.patch
- added %name-0.4.15-alt.patch

* Wed Dec 20 2006 Yury A. Romanov (damned) <damned@altlinux.ru> 0.4.14-alt3
- Some minor fixes 

* Wed Nov 08 2006 Yury A. Romanov (damned) <damned@altlinux.ru> 0.4.14-alt2
- Correct build for Sisyphus.
- Rename of kernel module package

* Mon Oct 30 2006 Yury A. Romanov (damned) <damned@altlinux.ru> 0.4.14-alt1
- New version

* Thu Oct 05 2006 Yury A. Romanov (damned) <damned@altlinux.ru> 0.4.13-alt1
- Initial Build
